> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/market-snapshot.md).

# 1.3 Market Snapshot

```
GET /currencies/{currency_id}/market-snapshot
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Response Example**

```json
{
    "price": 458.0000000000000000,
    "change_pct_24h": -0.12,
    "turnover_24h": 4381082458.0000000000000000,
    "turnover_rate": 0.123,
    "high_24h": 208.320000000000000000,
    "low_24h": 195.140000000000000000,
    "marketcap": 98187284636.4000000000000000,
    "fdv": 119634407517.24000000,
    "max_supply": "593383314",
    "total_supply": "593383314",
    "circulating_supply": "487043475",
    "ath": 295.830000000000000000,
    "ath_date": "1737244800000",
    "down_from_ath": "",
    "cycle_low": 175.890000000000000000,
    "cycle_low_date": "1738540800000",
    "up_from_cycle_low": "",
    "marketcap_rank": 4
}
```

**Response Fields**

| Field                | Type       | Description                              |
| -------------------- | ---------- | ---------------------------------------- |
| price                | BigDecimal | Current price (USD)                      |
| change\_pct\_24h     | BigDecimal | 24-hour price change percentage          |
| turnover\_24h        | BigDecimal | 24-hour trading volume (USD)             |
| turnover\_rate       | BigDecimal | Turnover rate                            |
| high\_24h            | BigDecimal | 24-hour high price                       |
| low\_24h             | BigDecimal | 24-hour low price                        |
| marketcap            | BigDecimal | Market capitalization                    |
| fdv                  | BigDecimal | Fully diluted valuation (FDV)            |
| max\_supply          | String     | Maximum supply; null indicates unlimited |
| total\_supply        | String     | Total supply                             |
| circulating\_supply  | String     | Circulating supply                       |
| ath                  | BigDecimal | All-time high (ATH)                      |
| ath\_date            | String     | ATH date (timestamp)                     |
| down\_from\_ath      | String     | Percentage declined from ATH             |
| cycle\_low           | BigDecimal | Cycle low price                          |
| cycle\_low\_date     | String     | Cycle low date (timestamp)               |
| up\_from\_cycle\_low | String     | Percentage recovered from cycle low      |
| marketcap\_rank      | Integer    | Market cap rank                          |
